import processing.video.*;

// Class Code Set 20



// From Daniel Shiffman's Processing - Chaper 16

// Uses the array instead of the video imag

Capture video;

int x, y, dX, dY;
int pointillize;

void setup()
{
   size( 640, 480 );
   
      String[] cameras = Capture.list();
  
  if (cameras.length == 0) 
  {
    println("There are no cameras available for capture.");
    exit();
  } else 
  {
    println("Available cameras:");
    for (int i = 0; i < cameras.length; i++) 
    {
      println(cameras[i]);
    }
    
    // The camera can be initialized directly using an 
    // element from the array returned by list():
    video = new Capture(this, cameras[0]);
    video.start();  
  }
   
   
   
   noStroke( );
   
   pointillize = 16;
}

void draw( )
{   
  if( video.available( )  )
  {
      video.read( );
      video.loadPixels( );
      int loc = int(random( video.pixels.length) );
    
      float r = red( video.pixels[loc] );
      float g = green( video.pixels[loc] );
      float b = blue( video.pixels[loc] );
      fill( r, g, b, 100 );
     
      x = loc%width;
      y = loc/width;
      ellipse( x, y, pointillize, pointillize );
  }
}
